/***************************************************************************
 *		Copyright (c) 1996 Dialogic Corp.
 *		All Rights Reserved.
 *
 *		THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF Dialogic Corp.
 *		The copyright notice above does not evidence any actual or
 *		intended publication of such source code.
 ***************************************************************************/

/****************************************************************************
 * FILE:         qtypes.h
 * ORG:          Dialogic Corporation
 * ORIG-DATE:    28-Aug-96
 * LAST-MOD:     03-Feb-97
 * PURPOSE:
 *    This file contain the type definitions for Mercury.
 *
 ***************************************************************************/
					     
#ifndef __QTYPES_H__
#define __QTYPES_H__		   
						  
// Basic Mercury Types 
typedef char        			 Char;
typedef unsigned char       UInt8;
typedef unsigned short int  UInt16;
typedef unsigned int        UInt24;
typedef unsigned int        UInt32;
typedef int                 Int32;
typedef int                 Int24;
typedef short int           Int16;
typedef char                Int8;
typedef unsigned char       Uint8;
typedef unsigned short int  Uint16;
typedef unsigned int        Uint24;
typedef unsigned int        Uint32;

// Complex Mercury Types 
typedef  struct {
   UInt24 buf[3];
} QStreamRef;

typedef UInt24	        QTrans;
typedef unsigned int    QMemRef;
typedef unsigned int    QParm;

#endif


