/* -------------------------------------------------------------------------
                Copyright (c) enGenic 2002.
                All rights reserved.
   ------------------------------------------------------------------------- */
#ifndef BRD_DIALOGIC_D42_CODE_H
#define BRD_DIALOGIC_D42_CODE_H

#include "brd_generic.h"
#include "brd_dialogic_code.h"
// Dialogic header files
// Ensure include path in project options has path to Dialogic 3rd party files
#include <cclib.h>
#include <..\3rdparty\dialogic\D42lib.h>

/* -------------------------------------------------------------------------
   Class:       BrdDialogicD42

   Purpose:     Derivative of the BrdDialogic class that adds functionality
                for digital network interface (T1/E1).
   ------------------------------------------------------------------------- */
class BrdDialogicD42 : public BrdDialogic
{
public:
   BrdDialogicD42(PIVRINFO pIVRInfo);
   ~BrdDialogicD42(void);

   // ---- BOARD FUNCTIONS ----------------------------------------------------

   // ---- LINE FUNCTIONS -----------------------------------------------------
  	IV_STATUS WaitForCall(long timeout, int numrings, bool pickup, char* calledDigits,
      char* callingDigits, char* handsetDisplay);

   // -------------------------------------------------------------------------

protected:

   // ---- LINE FUNCTIONS -----------------------------------------------------

   // ---- DIGITAL SIGNALING CONTROL FUNCTIONS --------------------------------

   // ---- AUDIO FUNCTIONS ----------------------------------------------------

   // ---- MISCELLANEOUS FUNCTIONS --------------------------------------------

   // ---- VARIABLES ----------------------------------------------------------

};

#endif
