# ---------------------------------------------------------------------------
!if !$d(BCB)
BCB = $(MAKEDIR)\..
!endif

# ---------------------------------------------------------------------------
# IDE SECTION
# ---------------------------------------------------------------------------
# The following section of the project makefile is managed by the BCB IDE.
# It is recommended to use the IDE to change any of the values in this
# section.
# ---------------------------------------------------------------------------

VERSION = BCB.06.00
# ---------------------------------------------------------------------------
PROJECT = ..\final32\TFEngine.dll
OBJFILES = ..\objs32\TFEngine.obj ..\objs32\eng_main.obj ..\objs32\gui_log.obj \
    ..\objs32\initglobals.obj ..\objs32\iv_dbf2.obj ..\objs32\iv_math2.obj \
    ..\objs32\LoadLanguage.obj ..\objs32\parsetam.obj ..\objs32\parsetap.obj \
    ..\objs32\step.obj ..\objs32\step_appcall.obj ..\objs32\step_appexec.obj \
    ..\objs32\step_appgoto.obj ..\objs32\step_audiocopy.obj \
    ..\objs32\step_audiodelete.obj ..\objs32\step_audioplay.obj \
    ..\objs32\step_audiorecord.obj ..\objs32\step_audiospeak.obj \
    ..\objs32\step_audiostartrecord.obj ..\objs32\step_audiostoprecord.obj \
    ..\objs32\step_beep.obj ..\objs32\step_blockcalls.obj \
    ..\objs32\step_calltrigger.obj ..\objs32\step_Case.obj \
    ..\objs32\step_confclose.obj ..\objs32\step_confjoin.obj \
    ..\objs32\step_confleave.obj ..\objs32\step_confopen.obj \
    ..\objs32\step_createdir.obj ..\objs32\step_decrypt.obj \
    ..\objs32\step_dictate.obj ..\objs32\step_digitpending.obj \
    ..\objs32\step_dllfunction.obj ..\objs32\step_encrypt.obj \
    ..\objs32\step_fatal.obj ..\objs32\step_faxadd.obj \
    ..\objs32\step_faxclear.obj ..\objs32\step_faxreceive.obj \
    ..\objs32\step_faxsend.obj ..\objs32\step_fileopen.obj \
    ..\objs32\step_filewrite.obj ..\objs32\step_fincalc.obj \
    ..\objs32\step_flashhook.obj ..\objs32\step_flushdigits.obj \
    ..\objs32\step_generatetones.obj ..\objs32\step_getcallinfo.obj \
    ..\objs32\step_getdigit.obj ..\objs32\step_getdigits.obj \
    ..\objs32\step_getletter.obj ..\objs32\step_hangup.obj \
    ..\objs32\step_hash.obj ..\objs32\step_HTTP.obj ..\objs32\step_message.obj \
    ..\objs32\step_noop.obj ..\objs32\step_parse.obj \
    ..\objs32\step_permitstreaming.obj ..\objs32\step_pickup.obj \
    ..\objs32\step_placecall.obj ..\objs32\step_procend.obj \
    ..\objs32\step_procstart.obj ..\objs32\step_RegistryRead.obj \
    ..\objs32\step_reloadoff.obj ..\objs32\step_reloadon.obj \
    ..\objs32\step_ReorderToneDetectionOff.obj \
    ..\objs32\step_ReorderToneDetectionOn.obj \
    ..\objs32\step_RunBASICScript.obj ..\objs32\step_runtap.obj \
    ..\objs32\step_savelog.obj ..\objs32\step_scandir.obj \
    ..\objs32\step_sendemail.obj ..\objs32\step_SetBoardParameter.obj \
    ..\objs32\step_setglobal.obj ..\objs32\step_SetLanguage.obj \
    ..\objs32\step_SetReorderTone.obj ..\objs32\step_simpullparms.obj \
    ..\objs32\step_SetVoIPMedia.obj ..\objs32\step_simpullrequest.obj \
    ..\objs32\step_SIPRegister.obj ..\objs32\step_sqlbeginstmt.obj \
    ..\objs32\step_sqlbegintrans.obj ..\objs32\step_sqlconnect.obj \
    ..\objs32\step_sqldisconnect.obj ..\objs32\step_sqlendstmt.obj \
    ..\objs32\step_sqlendtrans.obj ..\objs32\step_sqlfetch.obj \
    ..\objs32\step_sqllock.obj ..\objs32\step_SRBargeInOff.obj \
    ..\objs32\step_SRBargeInOn.obj ..\objs32\step_SRClearAudio.obj \
    ..\objs32\step_SRFlagResult.obj ..\objs32\step_switch.obj \
    ..\objs32\step_switchdiscon.obj ..\objs32\step_TCPIPConnect.obj \
    ..\objs32\step_TCPIPDisconnect.obj ..\objs32\step_TCPIPReceive.obj \
    ..\objs32\step_TCPIPSend.obj ..\objs32\step_textspeech.obj \
    ..\objs32\step_tones.obj ..\objs32\step_transfercall.obj \
    ..\objs32\step_UDPIPBind.obj ..\objs32\step_UDPIPClose.obj \
    ..\objs32\step_UDPIPReceive.obj ..\objs32\step_UDPIPSend.obj \
    ..\objs32\step_unblockcalls.obj ..\objs32\step_varcompare.obj \
    ..\objs32\step_vardateinfo.obj ..\objs32\step_varmath.obj \
    ..\objs32\step_varrandom.obj ..\objs32\step_varset.obj \
    ..\objs32\step_varsetprivate.obj ..\objs32\step_vocpassauth.obj \
    ..\objs32\step_vocpassreg.obj ..\objs32\step_vocrecgetdigits.obj \
    ..\objs32\step_vocrecgetstring.obj ..\objs32\step_vocrecgetyn.obj \
    ..\objs32\step_vocrecinit.obj ..\objs32\step_vocrecrelease.obj \
    ..\objs32\step_volume.obj ..\objs32\step_voxvarset.obj \
    ..\objs32\step_wait.obj ..\objs32\step_waitforcall.obj \
    ..\objs32\step_xmlend.obj ..\objs32\step_xmlfetch.obj \
    ..\objs32\step_xmlload.obj ..\objs32\step_xmlwrite.obj ..\objs32\tam.obj \
    ..\objs32\tap.obj ..\objs32\TCPClientManager.obj \
    ..\objs32\TFSimulator_communication.obj \
    ..\objs32\TFTCPClient_communication.obj ..\objs32\tinyxml.obj \
    ..\objs32\tinyxmlerror.obj ..\objs32\tinyxmlparser.obj \
    ..\objs32\tinystr.obj ..\objs32\txtfile.obj ..\objs32\vce_list.obj \
    ..\objs32\version.obj ..\objs32\VoiceCreator.obj ..\objs32\wait.obj \
    ..\objs32\XmlVoiceDBF.obj ..\objs32\XMLTFAppParser.obj
RESFILES = 
MAINSOURCE = TFEngine.cpp
RESDEPEN = $(RESFILES)
LIBFILES = ..\3rdparty\_BORLAND\ACE_wrappers\ace_b.lib \
    ..\3rdparty\_BORLAND\ACE_wrappers\ACE_SSL_b.lib ..\final32\escutl.lib \
    ..\final32\inet.lib ..\final32\tfodbc.lib ..\final32\tts.lib \
    ..\final32\varcontroller.lib ..\final32\xmlutil.lib
IDLFILES = 
IDLGENFILES = 
LIBRARIES = vcl.lib rtl.lib
PACKAGES = rtl.bpi vcl.bpi ibsmp.bpi dbrtl.bpi vcldb.bpi bdertl.bpi vclx.bpi \
    bcbsmp.bpi vcldbx.bpi dclocx.bpi qrpt.bpi teeui.bpi teedb.bpi tee.bpi \
    nmfast.bpi
SPARELIBS = rtl.lib vcl.lib
DEFFILE = 
OTHERFILES = 
# ---------------------------------------------------------------------------
DEBUGLIBPATH = $(BCB)\lib\debug
RELEASELIBPATH = $(BCB)\lib\release
USERDEFINES = WIN32;TF_OPEN_SOURCE;TIXML_USE_STL
SYSDEFINES = _NO_VCL;_RTLDLL;_VIS_NOLIB
INCLUDEPATH = ..\TFSimulator;..\TFServer;..\3rdparty\tinyxml;..\3rdparty\_Borland\ACE_wrappers;$(BCB)\include;$(BCB)\include\vcl
LIBPATH = $(BCB)\lib;..\3rdparty\tinyxml;..\TFSimulator;..\TFServer
WARNINGS= 
PATHCPP = .;..\TFServer;..\TFSimulator;..\3rdparty\tinyxml
PATHASM = .;
PATHPAS = .;
PATHRC = .;
PATHOBJ = .;$(LIBPATH)
# ---------------------------------------------------------------------------
CFLAG1 = -WD -Od -w -Tkh30000 -X- -a8 -b -k- -vi -c -tWM -tWD
IDLCFLAGS = -I..\TFSimulator -I..\TFServer -I..\3rdparty\tinyxml \
    -I..\3rdparty\_Borland\ACE_wrappers -I$(BCB)\include -I$(BCB)\include\vcl \
    -src_suffix cpp -DWIN32 -DTF_OPEN_SOURCE -DTIXML_USE_STL -boa
PFLAGS = -N2..\objs32 -N0..\objs32 -$Y- -$L- -$D- -$A8 -v -JPHN -M
RFLAGS = 
AFLAGS = /mx /w2 /zn
LFLAGS = -I..\objs32 -D"" -H:0x1000000 -aa -Tpd -GD -s -Gn -Gi
# ---------------------------------------------------------------------------
ALLOBJ = c0d32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) import32.lib cw32mti.lib
# ---------------------------------------------------------------------------
!ifdef IDEOPTIONS

[Version Info]
IncludeVerInfo=0
AutoIncBuild=0
MajorVer=1
MinorVer=0
Release=0
Build=0
Debug=0
PreRelease=0
Special=0
Private=0
DLL=0

[Version Info Keys]
CompanyName=
FileDescription=
FileVersion=1.0.0.0
InternalName=
LegalCopyright=
LegalTrademarks=
OriginalFilename=
ProductName=
ProductVersion=1.0.0.0
Comments=

[Debugging]
DebugSourceDirs=$(BCB)\source\vcl

!endif





# ---------------------------------------------------------------------------
# MAKE SECTION
# ---------------------------------------------------------------------------
# This section of the project file is not used by the BCB IDE.  It is for
# the benefit of building from the command-line using the MAKE utility.
# ---------------------------------------------------------------------------

.autodepend
# ---------------------------------------------------------------------------
!if "$(USERDEFINES)" != ""
AUSERDEFINES = -d$(USERDEFINES:;= -d)
!else
AUSERDEFINES =
!endif

!if !$d(BCC32)
BCC32 = bcc32
!endif

!if !$d(CPP32)
CPP32 = cpp32
!endif

!if !$d(DCC32)
DCC32 = dcc32
!endif

!if !$d(TASM32)
TASM32 = tasm32
!endif

!if !$d(LINKER)
LINKER = ilink32
!endif

!if !$d(BRCC32)
BRCC32 = brcc32
!endif


# ---------------------------------------------------------------------------
!if $d(PATHCPP)
.PATH.CPP = $(PATHCPP)
.PATH.C   = $(PATHCPP)
!endif

!if $d(PATHPAS)
.PATH.PAS = $(PATHPAS)
!endif

!if $d(PATHASM)
.PATH.ASM = $(PATHASM)
!endif

!if $d(PATHRC)
.PATH.RC  = $(PATHRC)
!endif

!if $d(PATHOBJ)
.PATH.OBJ  = $(PATHOBJ)
!endif
# ---------------------------------------------------------------------------
$(PROJECT): $(OTHERFILES) $(IDLGENFILES) $(OBJFILES) $(RESDEPEN) $(DEFFILE)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) -L$(LIBPATH) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES)
!
# ---------------------------------------------------------------------------
.pas.hpp:
    $(BCB)\BIN\$(DCC32) $(PFLAGS) -U$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -O$(INCLUDEPATH) --BCB {$< }

.pas.obj:
    $(BCB)\BIN\$(DCC32) $(PFLAGS) -U$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -O$(INCLUDEPATH) --BCB {$< }

.cpp.obj:
    $(BCB)\BIN\$(BCC32) $(CFLAG1) $(WARNINGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -n$(@D) {$< }

.c.obj:
    $(BCB)\BIN\$(BCC32) $(CFLAG1) $(WARNINGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -n$(@D) {$< }

.c.i:
    $(BCB)\BIN\$(CPP32) $(CFLAG1) $(WARNINGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -n. {$< }

.cpp.i:
    $(BCB)\BIN\$(CPP32) $(CFLAG1) $(WARNINGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -n. {$< }

.asm.obj:
    $(BCB)\BIN\$(TASM32) $(AFLAGS) -i$(INCLUDEPATH:;= -i) $(AUSERDEFINES) -d$(SYSDEFINES:;= -d) $<, $@

.rc.res:
    $(BCB)\BIN\$(BRCC32) $(RFLAGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -fo$@ $<



# ---------------------------------------------------------------------------




