#include "..\BoardDLLs\brd_generic.h"
#include "..\Voice\Voice.h"
#include "step_SRBargeInOn.h"

StepSRBargeInOn::StepSRBargeInOn(STEPREC& stepRecord) : Step(stepRecord)
{
}

StepSRBargeInOn::~StepSRBargeInOn(void)
{
}

const char* StepSRBargeInOn::GetStepName(void) const
{
	return("SR Barge-In On");
}

IV_STATUS StepSRBargeInOn::Execute(PIVRINFO pInfo)
{
   if(Status(pInfo) != IVR_SUCCESS)
   {
      return(IVR_FAIL);
   }

   return(pInfo->ivBoard->PermitBargeIn(true));
}
