#ifndef STEP_FILEWRITE_H
#define STEP_FILEWRITE_H

#include "step.h"

class StepFileWrite : public Step
{
   public:

      StepFileWrite(STEPREC& stepRecord);
      virtual ~StepFileWrite(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      string fileName;
      string varName;
      bool bBase64Decode;
};

#endif
