#ifndef STEP_VARMATH_H
#define STEP_VARMATH_H

#include "step.h"
#include "iv_math2.h"

class StepVarMath : public Step
{
   public:

      StepVarMath(STEPREC& stepRecord);
      virtual ~StepVarMath(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      MATH_FN iFn;
      string varA;
      string varB;
      string varC;
      string varD;
};

#endif
