#ifndef STEPS_H
#define STEPS_H

#include "step_appcall.h"
#include "step_appexec.h"
#include "step_appgoto.h"
#include "step_audiocopy.h"
#include "step_audiodelete.h"
#include "step_audioplay.h"
#include "step_audiorecord.h"
#include "step_audiostartrecord.h"
#include "step_audiostoprecord.h"
#include "step_audiospeak.h"
#include "step_beep.h"
#include "step_blockcalls.h"
#include "step_calltrigger.h"
#include "step_Case.h"
#include "step_confopen.h"
#include "step_confclose.h"
#include "step_confjoin.h"
#include "step_confleave.h"
#include "step_createdir.h"
#include "step_decrypt.h"
#include "step_dictate.h"
#include "step_digitpending.h"
#include "step_dllfunction.h"
#include "step_encrypt.h"
#include "step_fatal.h"
#include "step_faxadd.h"
#include "step_faxclear.h"
#include "step_faxreceive.h"
#include "step_faxsend.h"
#include "step_fileopen.h"
#include "step_filewrite.h"
#include "step_fincalc.h"
#include "step_flashhook.h"
#include "step_flushdigits.h"
#include "step_generatetones.h"
#include "step_getcallinfo.h"
#include "step_getdigit.h"
#include "step_getdigits.h"
#include "step_getletter.h"
#include "step_hangup.h"
#include "step_hash.h"
#include "step_HTTP.h"
#include "step_message.h"
#include "step_noop.h"
#include "step_parse.h"
#include "step_permitstreaming.h"
#include "step_pickup.h"
#include "step_placecall.h"
#include "step_procend.h"
#include "step_procstart.h"
#include "step_registryread.h"
#include "step_reloadoff.h"
#include "step_reloadon.h"
#include "step_ReorderToneDetectionOff.h"
#include "step_ReorderToneDetectionOn.h"
#include "step_RunBASICScript.h"
#include "step_runtap.h"
#include "step_savelog.h"
#include "step_scandir.h"
#include "step_sendemail.h"     // mail step JSH 2003/04/24
#include "step_setBoardParameter.h"
#include "step_setglobal.h"
#include "step_SetLanguage.h"
#include "step_SetReorderTone.h"
#include "step_SetVOIPMedia.h"
#include "step_SimpullParms.h"   // Simpull XML API Parameters - TF May 11/02
#include "step_SimpullRequest.h" // Simpull Request XML step - TF Apr.17/02
#include "step_SIPRegister.h"
#include "step_sqlbeginstmt.h"
#include "step_sqlbegintrans.h"
#include "step_sqlconnect.h"
#include "step_sqldisconnect.h"
#include "step_sqlendstmt.h"
#include "step_sqlendtrans.h"
#include "step_sqlfetch.h"
#include "step_sqllock.h"
#include "step_SRBargeInOn.h"
#include "step_SRBargeInOff.h"
#include "step_SRClearAudio.h"
#include "step_SRFlagResult.h"
#include "step_switch.h"
#include "step_switchdiscon.h"   // Reset switch state to original - TF Jul.22/02
#include "step_transfercall.h"   // Blind transfer
#include "step_TCPIPConnect.h"
#include "step_TCPIPDisconnect.h"
#include "step_TCPIPSend.h"
#include "step_TCPIPReceive.h"
#include "step_textspeech.h"
#include "step_tones.h"
#include "step_UDPIPBind.h"
#include "step_UDPIPClose.h"
#include "step_UDPIPSend.h"
#include "step_UDPIPReceive.h"
#include "step_unblockcalls.h"
#include "step_varcompare.h"
#include "step_varmath.h"
#include "step_vardateinfo.h"
#include "step_varrandom.h"
#include "step_varset.h"
#include "step_varsetprivate.h"
#include "step_vardateinfo.h"
#include "step_vocrecinit.h"
#include "step_vocrecrelease.h"
#include "step_vocrecgetdigits.h"
#include "step_vocrecgetyn.h"
#include "step_vocrecgetstring.h"
#include "step_vocpassreg.h"		// Voice password registration step
#include "step_vocpassauth.h"		// Voice authentication (login) step
#include "step_volume.h"
#include "step_voxvarset.h"
#include "step_wait.h"
#include "step_waitforcall.h"
#include "step_xmlend.h"         // XML End - TF May 14/02
#include "step_xmlfetch.h"       // XML Fetch - TF May 15/02
#include "step_xmlload.h"        // XML Load - TF May 13/02
#include "step_xmlwrite.h"       // XML End - TF May 14/02

#endif
