//---------------------------------------------------------------------------

#include <vcl.h>
#include <stdio.h>
#pragma hdrstop

#include "..\TFServer\ivr_defs.h"	// DEFAULT_IVR_PORT
#include "mon_main.h"
#include "dlg_options.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TFormOptions *FormOptions;
//---------------------------------------------------------------------------
__fastcall TFormOptions::TFormOptions(TComponent* Owner)
        : TForm(Owner)
{
   efPort->Text = FormMon->connectionPort;
   CheckBoxReconnect->Checked = FormMon->bAutoReconnect;
   efInterval->Text = FormMon->refreshInterval;
	// This functionality has been disabled
//   CheckBoxThinMonitor->Checked = !FormMon->bFatMonitor;
   CheckBoxLogPackets->Checked = FormMon->bLogPackets;
}
//---------------------------------------------------------------------------
void __fastcall TFormOptions::btnOkayClick(TObject *Sender)
{
  // Save information
   FormMon->connectionPort = atoi(efPort->Text.c_str());
   FormMon->bAutoReconnect = CheckBoxReconnect->Checked;
   FormMon->refreshInterval = atoi(efInterval->Text.c_str());
	// This functionality has been disabled
//	FormMon->bFatMonitor = !CheckBoxThinMonitor->Checked;
	FormMon->bLogPackets = CheckBoxLogPackets->Checked;
}
//---------------------------------------------------------------------------
void __fastcall TFormOptions::btnCancelClick(TObject *Sender)
{
  // Reload information since we cancelled
   efPort->Text = FormMon->connectionPort;
   CheckBoxReconnect->Checked = FormMon->bAutoReconnect;
   efInterval->Text = FormMon->refreshInterval;
	// This functionality has been disabled
//   CheckBoxThinMonitor->Checked = !FormMon->bFatMonitor;
   CheckBoxLogPackets->Checked = FormMon->bLogPackets;
}
//---------------------------------------------------------------------------
