#include <stdio.h>

#include "TFTCPClient_communication_manager.h"

TFTCPClientCommunicationManager::TFTCPClientCommunicationManager(void)
{
}

TFServerCommunicationPacket::TF_DESTINATION_ID TFTCPClientCommunicationManager::ID(void)
{
   return(TFServerCommunicationPacket::TF_TCPCLIENT_MANAGER);
}

bool TFTCPClientCommunicationManager::SendMessage(CommunicationPacket* message)
{
   TFTCPClientCommunicationPacket* TCPClientMessage = (TFTCPClientCommunicationPacket*) message;
   bool result;

   if(TCPClientMessage != NULL)
   {
      if(TCPClientMessage->client == NULL)
      {
         CommunicationDestination<TFServerCommunicationPacket::TF_DESTINATION_ID>::mutex.Get();
         messages.Add(TCPClientMessage);
         CommunicationDestination<TFServerCommunicationPacket::TF_DESTINATION_ID>::mutex.Release();
         result = true;
      }
      else
      {
         CommunicationHub<TCPSocket*>::mutex.Get();
         if(destinations.count(TCPClientMessage->client) == 0)
         {
            delete TCPClientMessage;
            result = false;
         }
         else
         {
            result = destinations[TCPClientMessage->client]->SendMessage(TCPClientMessage);
         }
         CommunicationHub<TCPSocket*>::mutex.Release();
      }
   }
   else
   {
      result = false;
   }

   return(result);
}
