#ifndef STEP_TCPIPRECEIVE_H
#define STEP_TCPIPRECEIVE_H

#include <string>
using std::string;

#include "step.h"

class StepTCPIPReceive : public Step
{
   public:

      StepTCPIPReceive(STEPREC& stepRecord);
      virtual ~StepTCPIPReceive(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      string socketHandle;
      string responseVariable;
      string timeout;
      string minimumLength;
      string maximumLength;
      string terminationString;
      bool includeTerminationString;
      bool hexString;
      bool uppercase;
};

#endif