#ifndef STEP_SIMPULLPARMS_H
#define STEP_SIMPULLPARMS_H

#include "step.h"

class StepSimpullParms : public Step
{
   public:

      StepSimpullParms(STEPREC& stepRecord);
      virtual ~StepSimpullParms(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      string PID;
      string UID;
      string secret;
      string machine;
      string defaultTimeout;
      string defaultRetries;
};

#endif
