#ifndef VCE_LIST_H
#define VCE_LIST_H

#include <string>
using std::string;

#include <map>
using std::map;

#include "..\TFServer\ivr_defs.h"

class VoiceLink
{
   public:

      VoiceLink(void);

      SOUND_FORMAT Format;
      string SimulatorFileName;
      string TelephonyFileName;
};

class VoiceList
{
   public:

      VoiceList(void);

      void Add(const char* scriptCode, VoiceLink link);
      const char* GetSimulatorFileName(const char* scriptCode);
      const char* GetTelephonyFileName(const char* scriptCode);
      SOUND_FORMAT GetFormat(const char* scriptCode);

   protected:

      map<string, VoiceLink> list;
};

#endif
