//---------------------------------------------------------------------------
#ifndef dlg_hostH
#define dlg_hostH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>

// Maximum name length of host connections remembered by TeleFlow Monitor
#define HOST_NAME_MAX_LENGTH  254

// Number of host connections remembered by TeleFlow Monitor
#define HOST_LIST_SIZE  10

//---------------------------------------------------------------------------

class TFormConnect : public TForm
{
__published:	// IDE-managed Components
    TLabel *lblHost;
    TComboBox *cboxHost;
    TButton *btnOkay;
    TButton *btnCancel;
    TCheckBox *CheckBoxAutoConnect;
    void __fastcall btnOkayClick(TObject *Sender);
    void __fastcall cboxHostChange(TObject *Sender);
	void __fastcall btnCancelClick(TObject *Sender);
private:	// User declarations
   struct HOST
   {
      char   szName[HOST_NAME_MAX_LENGTH + 1];
   };
   HOST  hosts[HOST_LIST_SIZE];
   int   iHosts;
   bool  bUpdatingList;

   void __fastcall ReadRegistry();
   void __fastcall WriteRegistry();
   void __fastcall SwapHosts (int ii, int jj);

public:		// User declarations
   __fastcall TFormConnect(TComponent* Owner);
   __fastcall ~TFormConnect();
	void __fastcall AddCurrentHostToHistory(void);
};
//---------------------------------------------------------------------------
extern PACKAGE TFormConnect *FormConnect;
//---------------------------------------------------------------------------
#endif
