#ifndef TFAPPLICATION_H
#define TFAPPLICATION_H

#include "ivrinfo.h"

// Helper class to manage the IVRINFO structure
class TFApplication
{
   public:

      IVRINFO info;

      // Initialises info to default settings and creates new messages, variables,
      // voiceList, sqlList, and xmlList
      // ivLog must be created first and then passed in
      // Other information is generally created when the .TAL is loaded
      TFApplication(int appID, GUILog* ivLog);

      // Cleans up all allocated memory and destroys xmlList, sqlList, voiceList,
      // variables, ivBoard, messages, and ivLog
      virtual ~TFApplication(void);
};

#endif
