#include "SIPTransaction.h"

SIPTransaction::SIPTransaction(Log* outLog, unsigned short port, bool persistant) : InternetMessageUDPTransaction(outLog, port, persistant)
{
   request = new SIPRequest;
   response = new SIPResponse;
}

SIPTransaction::SIPTransaction(Log* outLog, ACE_HANDLE handle) : InternetMessageUDPTransaction(outLog, handle)
{
   request = new SIPRequest;
   response = new SIPResponse;
}

SIPTransaction::~SIPTransaction(void)
{
   delete request;
   delete response;
}

SIPRequest* SIPTransaction::Request(void)
{
   return((SIPRequest*) request);
}

SIPResponse* SIPTransaction::Response(void)
{
   return((SIPResponse*) response);
}
